# Generated by Django 4.2.2 on 2023-07-16 14:08

import django.core.validators
from django.db import migrations, models
import main.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("groups", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Teacher",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        blank=True,
                        max_length=120,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                ("last_name", models.CharField(blank=True, max_length=120, null=True)),
                ("email", models.EmailField(blank=True, max_length=150, null=True)),
                ("birth_date", models.DateField(blank=True, null=True)),
                (
                    "international_certificates",
                    models.BooleanField(blank=True, default=False, null=True),
                ),
                (
                    "previous_work_place",
                    models.CharField(blank=True, max_length=120, null=True),
                ),
                (
                    "experience",
                    models.BooleanField(blank=True, default=False, null=True),
                ),
                (
                    "availability_per_week",
                    models.PositiveSmallIntegerField(blank=True, null=True),
                ),
                (
                    "avatar",
                    models.ImageField(
                        blank=True, null=True, upload_to=main.models.avatar_upload_path
                    ),
                ),
                (
                    "groups",
                    models.ManyToManyField(related_name="teachers", to="groups.group"),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
